Welcome to Magic Folders!

Magic Folders makes any folder you choose and all the files in that folder completely invisible to those without your password. These invisible folders and files can't be deleted, viewed, modified, or run. For all practical purposes they don't exist. Use Magic Folders to protect your finances, taxes, and personal documents. Others won't know these files exist, and they won't be able to accidentally delete or modify them either. With Magic Folders you can turn over your computer to your children or your co-workers without worrying if they'll delete, modify or view important files.

Yet, just enter your password and you'll instantly have complete and normal access to all your folders and the files within. There's no need to un-hide each file or folder individually. And Magic Folders is totally transparent. No one need know your invisible folders/files even exist.

If you wish you can establish 5 different accounts so everyone using your computer can create their own invisible folders that only they have access to.

Keep your important files safe. Protect them with Magic Folders! Try it and you'll see why Magic Folders has gotten more awards than you can shake a stick at.

News!

Magic Folders now comes with Password Magic! Password Magic not only provides a safe and secure place to store all your passwords it can also use your password data to automatically launch and log you into password protected web sites!

Copyright

Magic Folders (tm) is copyrighted 1996-2001 by RSE Incorporated. Parts of the program are proprietary. Do not use the software unless you agree NOT to unassemble, disassemble, reverse engineer or use any other means to examine or modify the code of any of its files.

"Magic Folders" is licensed "As is" without any express or implied warranties whatsoever. In no event shall RSE Inc. be liable for any loss of profit or any other commercial damage, including without limitation, special, incidental, consequential or other damages. Your rights may vary based on your state's laws.

By choosing to install "Magic Folders" you signal that you understand and agree to abide by the above.


How Much?

Magic Folders is shareware. You're freely given this copy in order to evaluate it. If after a 30 day evaluation period you decide to continue using Magic Folders then you must become a registered user by paying the registration fee of $30.

You can register instantly by modem, online at our secure web site, by mail or by fax. Just select the desired option in the "Registration/Register now!" menu.

You're encouraged to freely distribute copies of MFZ.EXE as long as you don't modify the files in any way. DO NOT distribute the individual, extracted, files; only MFZ.EXE.

As a registered user you'll receive these additional benefits:

  1. No more annoying messages (and delays) asking you to register.
  2. The latest version of Magic Folders.
  3. Free updates for one year (If you download them)
  4. Technical support
  5. A sincere "Thank you" for supporting our efforts to develop quality software and offer it at reasonable prices.

Site licenses are available, as well as quantity discounts. Please visit http://pc-magic.com/mfxlic.htm for details.

If for some reason you decide not to register Magic Folders please send us e-mail and let us know why. We're always trying to improve our products.


Run Install.exe

If you haven't already installed Magic Folders you need to do so now by running MFX.EXE. This will extract the Magic Folders files. Just accept the temporary folder the extraction program suggests.

INSTALL.EXE should start automatically. If it doesn't then click Start\Run\Browse, go to the folder where the files were extracted and run "INSTALL.EXE".


Inputting the Master Account password

The first thing you'll be asked to do is input the account you wish to use for the Master Account. This is the password you will use to get into the program so that you can create your hidden folder list and make your folders hidden or visible.

IMPORTANT: Passwords are the weak link in any security system. There are programs out there that can guess passwords in a relatively short time. To prevent such programs from guessing your password make sure your password is at least 10 characters long.


Icon and Driver naming

This screen lets you rename the Magic Folders icon and name of its driver to something that is less obvious.

Magic Folders best protects your folders and files if it's operation is kept secret.


Choosing a hot-key

You can assign Magic Folders to a hot key so that when you want to make your folders visible or invisible you only need press a hot-key to bring up the password screen. If you wish to change your hot-key assignment later you can select "Configure/Change Hot-key" on the Menu bar.


The Recovery Password

The Recovery Password given to you during installation is extremely important. It allows you to get into Magic Folders (or uninstall) if you forget your password, or something else were to happen such as corruption of your password data. Keep it in a safe place. Should you forget your password uninstalling Magic Folders without the recovery password would be very difficult.

The Recovery Password is formatted it as a credit card number to help hide its purpose.

When entering your recovery password make sure you include the dashes.


Multiple Boot Systems

If you have multiple versions of Windows installed on your computer and you wish to hide your folders for all versions then you'll need to install Magic Folders for each version. In other words, boot to each version of Windows and run MFX.EXE (if Win2K/XP).

If you have Windows 95/98/ME installed then you'll need a different version of Magic Folders which you can get at http://pc-magic.com/mfd.exe After installing the Win95/98/ME version make sure you hide the C:\x___x folder as that folder contains important info for the Win2K/XP version of Magic Folders.

I'm sorry but Magic Folders is not available for NT 4.0 or before.


Overview

Create a list of folders you want hidden by dragging them from the folder listing at the right of the screen over to the list of Magic Folders. You only need do this once. To exit with the folders hidden simple click on the "Exit with Magic Folders Invisible" button at the bottom of the screen. To exit with the folders visible click on the "Exit with Magic Folders Visible" button. If you exit with the folders visible you can quickly hide them again by clicking on the "Hide Folders" icon on the taskbar or by running Magic Folders again and clicking on "Cancel".


Creating your list of Magic Folders

Managing your your list of Magic Folders

Magic folders are those folders you want to make invisible.

Adding folders to your Magic Folder list

To add a folder to your hidden folder list just drag it from the folder listing on the right of the screen.

Note: Magic Folders not only makes all the files in your magic folders invisible it also makes any sub folders invisible too. For example, if you designate "C:\TAXES" as a magic folder then all the files in "C:\TAXES\BUSINESS" would be invisible too.

Removing folders from the Magic Folder list

Simply drag the folder you want to remove from the Magic Folders list to either the folder listing at the right of the screen or the Trashcan that appears once you start dragging.


System folders

We received numerous requests from our customers asking us to allow Magic Folders to hide folders normally hidden from the user with the System attribute. In this way you can hide folders such as your "Favorites" list in NetScape and Internet Explorer. Reluctantly I agreed. System and/or hidden folders (if any) are listed in a box below the normal folder listing. Just drag the desired folder from that box to the list of Magic Folders.

Keep in mind that we can only hide the files, we can't control how programs, or Windows, will react when they can't find your hidden files. All sorts of serious trouble could occur. If you encounter any problems at all with Magic Folders and you have hidden/system folders in your Magic Folder list then remove them from the hidden folder list and see if the problem goes away.


Making your Magic Folders Visible or Invisible

Making your magic folders invisible

Your magic folders are invisible from the time you start your computer until the time your computer is turned off unless you deliberately make them visible as explained below.

Making your magic folders visible

To make your magic folders visible run Magic Folders (in the Accessories group), or press the hot-key you assigned Magic Folders during installation, enter your password, and then select "Make Folders Visible". This gives you instant, complete, and normal access to all your files, including the files in your magic folders.

As a shortcut you can just enter your password and click on the yellow folder button on the password screen. This grants you access without taking you into the full program. It also puts an icon on the taskbar that you can click to instantly hide your folders without having to start Magic Folders again. (You can turn off this "icon on the taskbar" feature in the "Configure" menu)

In the Configuration menu you can set "PW 'Enter' as icon" to make pressing Enter after your password act the same as clicking on the yellow icon.

Likewise, to make your magic folders invisible again just run Magic Folders, enter your password and select "Make Folders Invisible" or use the shortcut and just click on the "Please enter your password" message when prompted for your password. Your magic folders also become invisible again if your re-boot or turn off your computer.


Removable Drives

Magic Folders can hide folders on your removable drives - BUT - they will only be hidden on the machine which you used to hide them. They will NOT be hidden on other machines, regardless of whether those machines are running Magic Folders or not.

Removable media will be listed slightly different in your hidden folder list. First will be the drive letter, followed by the name of the CD (or its ID number) in parenthesis, followed by the folder name.

For example: d:(CDname)\HiddenFolder

To enable the hiding of folders on CDs select "Configure/Change Properties" and click the "Allow hiding of CD folders" box.


Auto-hiding of visible folders

Magic Folders can automatically hide your folders after a period of mouse inactivity. Just select "Configure/Change Properties" and select "Put Hide Icon on toolbar when folders are visible" and "Hide folders after XX minutes of mouse inactivity". You set the value of XX.


Batch file operation

Although I don't understand why, I've been asked by several customers to put in a feature where you can unhide or hide your folders from within a batch file or at the DOS prompt. To do this, simply enter "magic Password" (where "Password" is your password) at the DOS prompt to make your hidden folders visible. To hide them, just use a bad password, for example "magic qqqq".


Multiple Accounts

Magic Folders lets you create up to five different accounts (this can be increased - see http://pc-magic.com/mfxlic.htm for details). Each accounts' magic folders are invisible to the others. In this way each user of your computer, or member of the family, can have their own magic folders. You could also use this feature to group similar files together so that working on one group doesn't expose the others. For example, one account for financial data, one for business, one for personal documents, etc..

Unlike Windows, Magic Folders doesn't implement a hierarchy of privilege where higher privileged users have access to all files accessed by lower priveleged users. The Master account cannot see the files hidden by the other accounts . All accounts are mutually exclusive. Therefore, if you create multiple accounts you can't make all files on the computer visible at one time without uninstalling Magic Folders. Remember this when making backups.

Only the master account can create new accounts. This doesn't mean however that the master account has access to all accounts. Each account can change its password. Let's say you want to give your spouse a private account. You'd select "Accounts/Create New Account" and create the new account password. You'd then tell your spouse the password you used to establish the account and he/she would enter Magic Folders using that password, select "Accounts/Change Your Password". Now they have their own account, with a password only they know.

The Master Account can use the Recovery Password to get access to the Master Account should he/she forget their password.

If any account other than the master account forgets their password then they can supply the Master Account holder with the name of one of their hidden folders and the Master Account can then use that info to reset their password. To do this the Master Account should select "Accounts/Recover password of another account" on the Menu bar.


Network Overview

Magic Folders has very robust network support. Not only can it protect files on your local computer, it can also protect files on any shared network drives you have mapped to local drives (as long as Magic Folders is installed on the machine hosting the shared drive). In addition it can hide your files even if your computer is the host computer and/or your local drives are shared with the network.

Multiple users can share the same drive, at the same time, each with their own magic folders that are only visible to them. In other words, any user can make their magic folders visible for themselves while keeping them hidden from all other users.

This also works for multiple users in XP. If you fast switch from one account to another, Magic Folders will switch too, keeping the previous user's magic folders hidden from the current user, even if the previous user's magic folders were visible at the time of the switch.


Network installation

There are really only two things you need to remember about network operations :

1. You won't be able to hide folders on a network drive unless Magic Folders is installed on the computer that hosts that drive.

You will need to ask the Master Account holder (the person who installed Magic Folders on that computer) to create an account for you. You can then access your account using the password they give you and change your password to something only you know. If you do this, the Master Account will not be able to view your hidden files or know what they are - unless they uninstall, in which case all accounts' hidden folders become visible.

Likewise, if one or more of your local drives are shared on the network then you (or whoever installed Magic Folders on your machine) can make accounts for others to use when accessing your drive(s).

2. In order to hide files on a network drive the drive must be mapped to a local drive.

If the mapped local drive doesn't show up in Magic Folders then close Magic Folders and use Explorer or some other program to access the network drive and then restart Magic Folders. Sometimes Magic Folders won't see the mapped drive unless it's been used.


Backups

Most (if not all) backup programs won't find files in your hidden folders unless you make them visible first. Therefore, if you need to backup the files in your hidden folders make sure you make them visible before running your backup program.

If you have multiple accounts there is no way to make all folders hidden by all accounts visible at the same time. Therefore each user will need to be responsible for backing up the folders in their hidden folders.


Don't hide critical system files

DON'T hide folders that contain critical system files. By default your Magic Folders are invisible until you enter your password to designate them as visible. If Windows needs a file that exists only in one of your hidden folders then it won't be able to find it until you make the folders visible. If you accidentally hide important system files then it's very possible your computer won't boot correctly and you'll need to uninstall manually.


Operation

Password Magic tm Operation

Password Magic (tm) provides a secure place for you to store all your passwords. Not only are your passwords encrypted, but the file they're stored in is invisible. And Password Magic does much more, allowing you to auto-connect and auto-login to those places on the web that require logging in.

Operation is simple. Just click "Add record" and input the name, login ID, and password. You can add whatever you want in the comments section, but if the password you're entering is a login for an online site then you can enter the URL of that site in the Comments section. Make sure you start the URL with either "http://" or "www." In this way you can click on the "Auto-Login" buttons and automatically connect to the site and then login automatically.

Auto-Login

If you're using Internet Explorer then Auto-Login can input your login name (if you desire) and your password into any web site. Here's how to use each button:

If you only need to enter your password:

  • Click on the line with the desired login info.
  • Click "Auto-Login- PW Only"
  • Wait until the web page loads and asks for your password.
  • Click on the "Login ..." icon on the taskbar.

If you need to enter your login ID and password:

  • Click on the line with the desired login info. (If you right-click you can skip the next step.)
  • Click "Auto-Login - Login and PW"
  • Wait until the web page appears and asks for your login ID.
  • Click the "Login ..." icon on the taskbar.

If you select one of the "Auto-login" buttons and then change your mind simply right click the "Login ..." icon on the taskbar and select "Close".

Hot Key Operation

You can create a hot-key that will run Password Magic directly (without entering Magic Folders) by clicking the "Set Hot-Key" menu item at the top of the screen. This will also allow you to directly run Password Magic by clicking "Start/Accessories/Password Magic" When running Password Magic directly your hidden files are not visible. If you want your hidden folders to be visible then run Password Magic from within Magic Folders .


Invisible folders are still visible

"Sometimes after making my magic folders invisible they still show up in directory listings, even tho I can't access them or their files. Why?"

Many programs keep their directory listings in memory. So if you use the program while your folders are visible then the program will continue to use the old directory information even after you hide your folders. Explorer does this. To make matters even more complicated sometimes programs won't refresh their listings even when told to do so. This is probably because Windows notices nothing has changed in the disk cache so it feeds the same directory information as it did previously.

In some cases you can't even force the program to update it's listings. For example, we did some tests hiding the "Documents" System folder. Sometimes it would accurately reflect whether it was hidden or not, but sometimes it wouldn't. It would show the list of documents when they were hidden (although clicking on the document wouldn't work) and sometimes it wouldn't show the document list even tho it was visible - and we couldn't find any way to force it to update it's listing. We can only hide/un-hide the files. We can't control how programs react to this.


I forgot my password

Master Account:

Use The Recovery Password

Other Accounts:

Supply the master account user with the name of one of your hidden folders. He/she can then select "Accounts/Recover other account's password" and use the name of the hidden folder to reset the password for that account. You can then access your account using this password and then use "Accounts/Change password" to change the password to something only you know.


Can't rename parent of hidden folder

"I can't rename the parent folder of a magic folder when it's invisible."

That's correct. Magic Folders doesn't mark your folders with a special secret sign to indicate they're hidden folders. It just filters file requests against your list of magic folders. If someone renamed the parent directory of a magic folder then your magic folder would no longer match the list of magic folders and would therefore become visible.


No network drives listed

Is Magic Folders installed on the computer hosting the network drive you wish to access? It needs to be.

Is the network drive mapped to a local drive letter? It needs to be.

If it's still not visible then exit Magic Folders, start Explorer and access the network drive. Then restart Magic Folders. Sometimes Magic Folders won't see mapped network drives if they haven't been used since the connection was made.


How do I uninstall?

Only the Master Account can uninstall. They do so by selecting "Configure/Uninstall Magic Folders" on the Menu bar.


I'm getting a blue screen when I use CDs

I have problems when I use CDs

Disable CD folder hiding by selecting "Configure/Change Properties" and uncheck the "Allow hiding of CD folders" box. Reboot.


Technical Support

If your question isn't answered in this help file then please visit http://www.pc-magic.com/mfxt.htm

If you still can't find an you may contact us by email at support@pc-magic.com


Updates

You can always get the latest versions of all our software at http://pc-magic.com/

To see if you have the latest version just check the version number in the title bar of Magic Folders against the current version number of Magic Folders as listed at http://pc-magic.com/dl.htm#mfx

To install updates just run the file you get from our site. It will update Magic Folders automatically.


Thank you!

Thank you for taking the time to evaluate Magic Folders. If you're pleased with what you see I hope you'll tell your friends about Magic Folders. If not, please send us an email telling us why. We're always trying to improve our products.

Thank you for your time and support.


Desktop icon problems

"Sometimes desktop icons that point to hidden folders don't appear, even when the folders are visible.".

In the Configure menu select "Update Desktop". Magic Folders will then tell the desktop to update everytime the status of your hidden files/folders changes.